%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%q =20kw/m2, u =0.10m/s, Single Phase
%ThetaA_19_R_8deg
%ThetaA_101_R_95deg
%ThetaA_120_R_115deg

clear all
clc



%SinglePhaseQ20U010 = xlsread('HTC_q20_u010_AllCases_Low_CAH_2ndB.xlsx','Sheet1','H3:I103');
%ThetaA_19_R_8deg = xlsread('HTC_q20_u010_AllCases_Low_CAH_2ndB.xlsx','Sheet1','AC3:AD103');
%ThetaA_49_R_0deg = xlsread('HTC_q20_u010_AllCases_Low_CAH_2ndB.xlsx','Sheet1','AJ3:AK103');
%ThetaA_70_R_40deg = xlsread('HTC_q20_u010_AllCases_Low_CAH_2ndB.xlsx','Sheet1','AQ3:AR103');
%ThetaA_101_R_95deg = xlsread('HTC_q20_u010_AllCases_Low_CAH_2ndB.xlsx','Sheet1','AY3:AZ103');
%ThetaA_120_R_80deg = xlsread('HTC_q20_u010_AllCases_Low_CAH_2ndB.xlsx','Sheet1','BF3:BG103');
ThetaA_120_R_115deg = xlsread('areaal','Sheet1','J3:K103');
ThetaA_120_R_115deg2nd = xlsread('areaal.xlsx','Sheet1','R3:S103');

%y1 = SinglePhaseQ20U010(:,1); %Normal Case
%x1 = SinglePhaseQ20U010(:,2);

%y2 = ThetaA_19_R_8deg (:,1); %Advancing 19, Receding 8deg 
%x2 = ThetaA_19_R_8deg (:,2);

%y3 = ThetaA_49_R_0deg(:,1);  %Advancing 49, Receding 0deg 
%x3 = ThetaA_49_R_0deg(:,2);

%y4 = ThetaA_70_R_40deg(:,1);  %Advancing 70, Receding 0deg 
%x4 = ThetaA_70_R_40deg(:,2);

%y5 = ThetaA_101_R_95deg(:,1);  %Advancing 101, Receding 95deg 
%x5 = ThetaA_101_R_95deg(:,2);

%y6 = ThetaA_120_R_80deg(:,1); %Advancing 120, Receding 80deg 
%x6 = ThetaA_120_R_80deg(:,2);

y7 = ThetaA_120_R_115deg(:,1); %Advancing 120, Receding 115deg 
x7 = ThetaA_120_R_115deg(:,2);


y8 = ThetaA_120_R_115deg2nd(:,1); %Advancing 120, Receding 115deg, 2nd Bubble 
x8 = ThetaA_120_R_115deg2nd(:,2);



 %h = plot(x1,y1);
 %set(h, {'color'}, num2cell(jet(length(ii)), 2));
 
 
 
 
 


%Single Phase

%plot(x1,y1,'r--','LineWidth',1.5,...
%    'MarkerSize',6)

% https://www.mathworks.com/examples/matlab/mw/graphics-ex04650873-specify-marker-size-and-color

title('Time evolution of volume of liquid above the mesh')
xlabel('$\mathrm{L^*}$','Interpreter','latex')
ylabel('$\mathrm{\overline{Nu}}$','Interpreter','latex')
grid

%hold on


%ThetaA_19_R_8deg

%plot(x2,y2,'b-','LineWidth',1.1,...
%  'MarkerSize',6)


%hold on


%ThetaA_49_R_0deg

%plot (x3,y3,'g-', 'LineWidth',1.1,...
%    'MarkerSize',6)


%hold on 



%ThetaA_70_R_40deg

%plot (x4,y4,'c-', 'LineWidth',1.1,...
%    'MarkerSize',6 )


%ThetaA_101_R_95deg


%hold on

%plot (x5,y5,'k-', 'LineWidth',1.1,...
%    'MarkerSize',6 )


%hold on


%ThetaA_120_R_80deg

%plot (x6,y6,'y-.', 'LineWidth',1.1,...
%   'MarkerSize',6 )



hold on


plot (x7,y7,'b:', 'LineWidth',1.1,...
   'MarkerSize',6 )



hold on




plot (x8,y8,'-.','Color',[0.1 0.6 0.33], 'LineWidth',1.1,...
  'MarkerSize',6 )





%RGB Colors
%https://uk.mathworks.com/matlabcentral/answers/151011-how-to-plot-a-line-of-a-certian-color
%https://uk.mathworks.com/matlabcentral/answers/444972-making-plots-look-beautiful
%The RGB colors should be divided by /255
%ColorCode  = [148 130 78]./255; % Dividing 255 gives you the 0-1 value. 
%hPlot2.Color = ColorCode;




hold on


%Int_SinglePhase = trapz(x1,y1)

%Int_19_8deg = trapz(x2,y2)
 
%Int_49_0deg = trapz(x3,y3)
 
%Int_70_40deg = trapz(x4,y4)
  
%Int_101_95deg = trapz(x5,y5)
   
%Int_120_80deg = trapz(x6,y6)
%    
Int_120_115deg = trapz(x7,y7)

Int_120_115deg_2nd = trapz(x8,y8)    
     
 
%area(x1,y1)
%trapz(y1,x1)

%area(x2,y2)
%trapz(y2,x2)

%area(x3,y3)
%trapz(y3,x3)

%area(x4,y4)
%trapz(y4,x4)

%area(x5,y5)
%trapz(y5,x5)

%area(x6,y6)
%trapz(y6,x6)

area(x8,y8)
trapz(y8,x8)

area(x7,y7)
trapz(y7,x7)









 

%xlim([0 6.3])
%ylim([0 1.05])  % With command Increased the y Axis from 1 to 1.05

legend({'$ \theta_a = 19^{\circ} $, $ \theta_r = 8^{\circ} $','$ \theta_a = 19^{\circ} $, $ \theta_r = 8^{\circ},2nd Bubble $'},'FontSize', 11,'Interpreter','latex')


print -depsc2 areams_CAH.eps 

print ('-dpng','Areams_CAH.png', '-r1200')